# echarts-on-react
A flexible echarts wrapper for react.
# 1. install
```sh
npm install --save echarts-on-react
```
# 2. use
```javascript
import EchartsOnReact from 'echarts-on-react/lib/EchartsOnReact';
import echarts from 'echarts';
...
<EchartsOnReact
  ref={(chartRef) => {
    this.echartsReact = chartRef;
  }}
  echarts={echarts}
  options={options}
  updateData={this.state.data}
  notMerge={true}
  lazyUpdate={true}
  silent={true} />
```
# 3. full example
``` javascript
import 'core-js/fn/object/assign';
import React from 'react';
import ReactDOM from 'react-dom';
import EchartsOnReact from 'echarts-on-react/lib/EchartsOnReact'
import echarts from 'echarts';

const options = {
  title: {
    text: 'ECharts ʾ'
  },
  tooltip: {},
  legend: {
    data: ['']
  },
  xAxis: {
    data: ['','ë','ѩ','','߸Ь','']
  },
  yAxis: {},
  series: [
    {
      name: '',
      type: 'bar',
      data: [5,20,36,10,10,20]
    }
  ]
};

class App extends React.Component {
  constructor(props) {
    super(props);
    this.state = {
      data: [[1, 2, 3, 4, 5]]
    }
  }
  componentDidMount() {
    // echarts container
    console.log(this.echartsReact.chartRef);
    // echarts instance
    console.log(this.echartsReact.echarts.getInstanceByDom(this.echartsReact.chartRef));
    setInterval(() => {
      this.setState({
        data: [[
          parseInt(Math.random() * 100, 10),
          parseInt(Math.random() * 100, 10),
          parseInt(Math.random() * 100, 10),
          parseInt(Math.random() * 100, 10),
          parseInt(Math.random() * 100, 10)
        ]]
      })
    }, 5000)
  }
  render() {
    return (
      <div style={{
        width: '300px',
        height: '300px'
      }}>
        <EchartsOnReact
          ref={(chartRef) => {
            this.echartsReact = chartRef;
          }}
          echarts={echarts}
          options={options}
          updateData={this.state.data}
          notMerge={true}
          lazyUpdate={true}
          silent={true} />
      </div>
    );
  }
}

ReactDOM.render(<App />, document.getElementById('app'));
```
